Report Payment

Report a payment collection from a Business to finmid, grouped by a specific payment period, market, or another grouping.

Use this endpoint when the platform calculates the collection amounts itself. The currently active Funding for the Business will be automatically identified by finmid. Payments are grouped into batches representing payment periods, with the batch_id in the path serving as a payment reference.

The payment_id in the path serves as a unique identifier for this payment report and acts as an idempotency key to prevent duplicate submissions.

Alternative: Sales Statements

If you want finmid to calculate the collection amounts for you based on sales data, use Add Sales Statements API instead.

After reporting payments

After reporting payments, you can retrieve the aggregated results for a batch using the Get Payment Batch API.

The next step depends on your integration model:

  • Platform-funded: Collect the funds from your businesses and then confirm the collection using Report Funds Collection API.
  • finmid-funded: Collect the funds from your businesses and send them to finmid's bank account via bank transfer (simulated via Sales statements batch payment API in sandbox).

Appending Payments to a Batch

This API supports multiple submissions for the same batch_id. When you call this endpoint multiple times with the same batch_id, the reported payment amounts are appended to the existing batch, not replaced.

Similarly, if you report multiple payments for the same Business within a batch, all reported amounts will be appended and accumulated for that Business's active Funding.

Example: Incremental Payment Reporting

First API call (batch_id: W4-2020-01, payment_id: report-1):

{
  "business_id": "business-123",
  "payment_amount": 1000.00,
  "reported_at": "2020-02-10T10:00:00.000Z"
}

Second API call (batch_id: W4-2020-01, payment_id: report-2):

{
  "business_id": "business-123",
  "payment_amount": 500.00,
  "reported_at": "2020-02-10T14:00:00.000Z"
}

Third API call (batch_id: W4-2020-01, payment_id: report-3):

{
  "business_id": "business-456",
  "payment_amount": 800.00,
  "reported_at": "2020-02-10T16:00:00.000Z"
}

Result: Batch W4-2020-01 now contains:

  • business-123: 1500.00 (1000.00 + 500.00)
  • business-456: 800.00
Path Params
string
required
length ≤ 100

Unique identifier for the specific payment period. Used as a payment reference.

string
required
length ≤ 100

Unique identifier of the payment report. Serves as an idempotency key.

Body Params
string
required
length ≤ 100

ID of the Business for which the Payment is being reported. The currently active Funding for this Business will be automatically identified.

number
required
≥ 0.01

Amount that is being reported for the payment.

string
required

ISO 4217 currency code in which Business operates.

date-time
required

UTC timestamp when the payment was reported. ISO 8601 date and time.

metadata
object | null

Contains a set of flexible, custom key-value pairs. Used for sharing extra data.

Responses
202

Payment successfully reported.

401

Missing or invalid API key. Could not authenticate API request.

409

Payment with same ID already reported.

Language
Credentials
Header
URL
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json